Updates the specified API user.

PUThttps://api.awork.com/api/v1/apiusers/{apiUserId}
PUT https://api.awork.com/api/v1/apiusers/{apiUserId}

Updates the specified API user's name or role. Names must remain unique, and the target role must be active and non-guest.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

apiUserIdstringRequired
format: uuid

The id of the API user to update.

Request body Required

The model to update the API user.

application/json

namestringRequired
minLength: 1

The name of the API user.

roleIdstring or nullOptional
format: uuid

The role the user should be in. If no role is specified, the user will become an admin.

Responses

200 OK

application/json

namestringRequired
minLength: 1

The name of the API user.

roleIdstring or nullOptional
format: uuid

The role the user should be in. If no role is specified, the user will become an admin.

clientIdstring or nullOptional

The client id this API user belongs to.

idstringOptional
format: uuid

The id of the API user.

createdOnstringOptional
format: date-time

The date this user was created.

createdBystringOptional
format: uuid

The id of the user who created this user.

updatedOnstringOptional
format: date-time

The date when this user was last updated.

updatedBystringOptional
format: uuid

The id of the user who updated the entity.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation